from parallels.core.utils.entity import Entity


class Role(Entity):
    def __init__(self, role_id, owner_id, name, is_built_in):
        self._role_id = role_id
        self._owner_id = owner_id
        self._name = name
        self._is_built_in = is_built_in

    @property
    def role_id(self):
        """
        :rtype: str | unicode
        """
        return self._role_id

    @property
    def owner_id(self):
        """
        :rtype: str | unicode
        """
        return self._owner_id

    @property
    def name(self):
        """
        :rtype: str | unicode
        """
        return self._name

    @property
    def is_built_in(self):
        """
        :rtype: str | unicode
        """
        return self._is_built_in
